## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname nilearn

%global desc %{expand: \
Nilearn is a Python module for fast and easy statistical learning on
NeuroImaging data.

It leverages the scikit-learn Python toolbox for multivariate statistics with
applications such as predictive modelling, classification, decoding, or
connectivity analysis.

This work is made available by a community of people, amongst which the INRIA
Parietal Project Team and the scikit-learn folks, in particular P. Gervais, A.
Abraham, V. Michel, A. Gramfort, G. Varoquaux, F. Pedregosa, B. Thirion, M.
Eickenberg, C. F. Gorgolewski, D. Bzdok, L. Esteve and B. Cipollini.

Detailed documentation is available at http://nilearn.github.io/.}

Name:           python-nilearn
Version:        0.8.1
Release:        %autorelease
Summary:        Python module for fast and easy statistical learning on NeuroImaging data

License:        BSD
URL:            https://pypi.python.org/pypi/nilearn
Source0:        %{pypi_source nilearn}

# Test failure on 32-bit platforms: test_resample_img_segmentation_fault
# https://github.com/nilearn/nilearn/issues/3021
# https://github.com/nilearn/nilearn/pull/3022
Patch0:         https://github.com/nilearn/nilearn/pull/3022.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist pytest}

Recommends:  %{py3_dist matplotlib}

%description
%{desc}

%package -n python3-nilearn
Summary:        %{summary}

%description -n python3-nilearn
%{desc}

%prep
%autosetup -n nilearn-%{version} -p1
# Remove shebangs
find . -name "*py" -exec sed -i '/#!\/usr\/bin\/env python/ d' '{}' \;
# Remove pre-compiled files
find . -name "*pyc" -exec rm -f '{}' \;

# correct collections import
sed -i 's/collections.Mapping/collections.abc.Mapping/' nilearn/surface/surface.py

# Correct python command
sed -i 's/python/python3/' nilearn/plotting/html_document.py
sed -i 's/python/python3/' nilearn/plotting/glass_brain_files/generate_json.sh

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

# Documentation also fetches imaging data set from online sources, so we cannot
# generate it. We include the link to the documentation in the description.

%install
%pyproject_install
%pyproject_save_files nilearn

%check
%{pytest} nilearn

%files -n python3-nilearn -f %{pyproject_files}
%doc AUTHORS.rst README.rst

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.1-3
- Apply upstream patch (PR#3022) for issue #3021

* Mon Oct 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.1-2
- Work around test failure on 32-bit platforms

* Sun Oct 03 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.8.1-1
- feat: update to 0.8.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.7.1-2
- Rebuilt for Python 3.10

* Sun Mar 28 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.7.1-1
- check in new spec

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.7.0-1
- Update to 0.7.0

* Tue Oct 27 2020 Tomas Hrnciar <thrnciar@redhat.com> 0.6.2-5
- Replace Python version glob with macro (needed for Python 3.10+)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.6.2-3
- Explicitly BR setuptools

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 0.6.2-2
- Rebuilt for Python 3.9

* Wed Apr 22 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.6.2-1
- Update to 0.6.2

* Thu Feb 13 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.6.1-2
- Remove dummy sklearn dep and remove python2 bits

* Sun Feb 02 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.6.1-1
- Update to 0.6.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 0.5.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 27 2019 Luis Bazan <bazanluis20@gmail.com> 0.5.2-1
- new upstream version

* Sun Apr 14 2019 Manas Mangaonkar <manasmangaonkar@gmail.com> 0.5.1-1
- Update python-nilearn.spec

* Wed Apr 10 2019 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.5.0-1
- update to 0.5.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 09 2018 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.4.2-1
- Initial SCM
